Subject: bug#49592: 28.0.50; lisp-current-defun-name and non-standard defuns

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 06 Aug 2022 14:15:35 +0200

Michael Heerdegen <[email-masked]> writes:

> Makes sense - but I don't know if it's a big win and Edebug specs help
> out in enough cases (lots of macros don't have one, even in Emacs
> itself, e.g. `defvar-keymap').

I think we should consider those cases to be bugs and fix them.

> Anyway, it wouldn't harm and motivate people even more to write Edebug
> specs.

Yes, that'd be a nice side effect.

> Or do you intent to give up the heuristic of using the first
> argument completely?  I don't think that would be a good idea.

No, if there's no (usable) edebug spec, we should fall back to that
heuristic, I think.